Support » Plugin: News Announcement Scroll » Plugin crash

  • Resolved saadhh

    (@saadhh)


    News Announcement Scroll v8.8.4 crashes, browser console reports:
    Uncaught ReferenceError: v_content is not defined at gAnnounce.js?ver=4.7.2:8

    Thanks

Viewing 5 replies - 1 through 5 (of 5 total)
  • Thread Starter saadhh

    (@saadhh)

    Found error to be one of the news lines causing a javascript unterminated string literal thus (v_content array not defined). Maybe code should cater for such instances.

    Thanks

    Plugin Author storeapps

    (@storeapps)

    @saadhh,

    Could you please let us know what news lines/characters in news caused the v_content array not defined error, so that we could handle such instances in the future releases of the plugin.

    Thread Starter saadhh

    (@saadhh)

    Sorry I did not keep a copy of news line that caused the error but it was Arabic script with NO quotes or double quotes but with diacritics that probably caused the error.

    Thanks.

    Plugin Author storeapps

    (@storeapps)

    @saadhh,

    We would try reproducing the same issue on our end and try fixing it in the future release of the plugin.

    Thread Starter saadhh

    (@saadhh)

    Just faced the same issue again, this time the string in question (which was copied directly from a web page) contained a CR/LF at the beginning of the string. I think a trim before appending the string to the array should do it.

    Regards,

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Plugin crash’ is closed to new replies.